[Updated] (MINVOKER-228) Fix documentation: "Using with other integration test frameworks" page

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|

[Updated] (MINVOKER-228) Fix documentation: "Using with other integration test frameworks" page

JIRA jira@apache.org

     [ https://issues.apache.org/jira/browse/MINVOKER-228?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel ]

Alberto Scotto updated MINVOKER-228:
------------------------------------
    Description:
https://maven.apache.org/plugins/maven-invoker-plugin/examples/integration-test-verify.html

In the example the goal 'install' is missing from the list of goals under the tag execution.
This causes the integration tests to either use an old version of the plugin under test, or just fail if the plugin has never been installed in the local M2 repo before.

Please fix the example to be like this:

{code:java}
<project>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-invoker-plugin</artifactId>
        <version>3.0.1</version>
        <executions>
          <execution>
            <id>integration-test</id>
            <goals>
              <goal>install</goal>
              <goal>integration-test</goal>
              <goal>verify</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>
{code}


  was:
https://maven.apache.org/plugins/maven-invoker-plugin/examples/integration-test-verify.html

In the example the goal 'install' is missing from the list of goals under the tag execution.
This causes the integration tests to either use an old version of the plugin under test, or just fail if the plugin has never been installed in the local M2 repo before.

Please fix the example to be like this:

{{
<project>
  <build>
    <plugins>
      <plugin>
        <artifactId>maven-invoker-plugin</artifactId>
        <version>3.0.1</version>
        <executions>
          <execution>
            <id>integration-test</id>
            <goals>
              <goal>install</goal>
              <goal>integration-test</goal>
              <goal>verify</goal>
            </goals>
          </execution>
        </executions>
      </plugin>
    </plugins>
  </build>
</project>
}}


> Fix documentation: "Using with other integration test frameworks" page
> ----------------------------------------------------------------------
>
>                 Key: MINVOKER-228
>                 URL: https://issues.apache.org/jira/browse/MINVOKER-228
>             Project: Maven Invoker Plugin
>          Issue Type: Task
>            Reporter: Alberto Scotto
>
> https://maven.apache.org/plugins/maven-invoker-plugin/examples/integration-test-verify.html
> In the example the goal 'install' is missing from the list of goals under the tag execution.
> This causes the integration tests to either use an old version of the plugin under test, or just fail if the plugin has never been installed in the local M2 repo before.
> Please fix the example to be like this:
> {code:java}
> <project>
>   <build>
>     <plugins>
>       <plugin>
>         <artifactId>maven-invoker-plugin</artifactId>
>         <version>3.0.1</version>
>         <executions>
>           <execution>
>             <id>integration-test</id>
>             <goals>
>               <goal>install</goal>
>               <goal>integration-test</goal>
>               <goal>verify</goal>
>             </goals>
>           </execution>
>         </executions>
>       </plugin>
>     </plugins>
>   </build>
> </project>
> {code}



--
This message was sent by Atlassian JIRA
(v6.4.14#64029)